﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;

namespace testPagination
{
    /// <summary>
    /// Converter from Records Count into Pages
    /// </summary>
    public class RecordsToPageConverter :IValueConverter
    {

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return Binding.DoNothing;

            List<string> records = new List<string>();
            int recordsCount = int.Parse(value.ToString());
            for (int i = 0; i <= recordsCount; i++)
            {
                records.Add(i.ToString());
            }
            return records;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
